<?php

if('sco_ajax'==get_class($this)):
	$client_id 		=  $this->get_option('yandex_app_id','',true);
	$client_secret 	=  $this->get_option('yandex_app_password','',true);
	//-----
	if(!class_exists('http_class'))			require( $path.'oauth-api/http.php');
	if(!class_exists('oauth_client_class'))	require( $path.'oauth-api/oauth_client.php');
	
	$client = new oauth_client_class;
	$client->debug = false;
	$client->debug_http = true;
	$client->oauth_version = '2.0';
	$client->dialog_url = 'https://oauth.yandex.com/authorize?response_type=code&client_id={CLIENT_ID}&redirect_uri={REDIRECT_URI}&state={STATE}&scope={SCOPE}';
	$client->access_token_url = 'https://oauth.yandex.com/token';

	$client->redirect_uri 	= $redirect_uri;
	$client->client_id 		= $client_id;
	$client->client_secret 	= $client_secret;

	if(strlen($client->client_id) == 0
	|| strlen($client->client_secret) == 0)
		$this->error_message( __('Settings error, network api credentials not set.','rhsco') );

	/* API permissions
     */
    $client->scope = '';
    if(($success = $client->Initialize())){
        if(($success = $client->Process())){
            if(strlen($client->authorization_error)){
                $client->error = $client->authorization_error;
                $success = false;
            }
            elseif(strlen($client->access_token)){
                $success = $client->CallAPI(
                    'https://login.yandex.ru/info?format=json',
                    'GET', array(), array('FailOnAccessError'=>true), $user);
            }
        }
        $success = $client->Finalize($success);
    }
	if($client->exit)
		exit;
	if($success){
		$user = (object)array(
			'id'		=> $user->id,
			'username' 	=> strtolower(substr($user->first_name, 0, 1).'.'.$user->last_name),
			'name'		=> $user->real_name,
			'first_name'=> $user->first_name,
			'last_name' => $user->last_name,
			'email' 	=> (isset($user->default_email)?$user->default_email:$user->emails[0])
		);
		$SCO_Profile = new SCO_Profile( $network, (array)$user, $this->cb_get_option, true, true );
	}else{
		$this->error_message( sprintf( __('Error authenticating with social network: %s','rhsco'), HtmlSpecialChars($client->error) ) );
	}
else:
	$this->error_message( __('Settings error, cannot link directly to this file.', 'rhsco') );
endif; 
 

?>